import { BoosterConfig, ConnectionDataEnvelope } from '@boostercloud/framework-types';
import { DynamoDB } from 'aws-sdk';
export declare function storeConnectionData(db: DynamoDB.DocumentClient, config: BoosterConfig, connectionID: string, data: ConnectionDataEnvelope): Promise<void>;
export declare function fetchConnectionData(db: DynamoDB.DocumentClient, config: BoosterConfig, connectionID: string): Promise<ConnectionDataEnvelope | undefined>;
export declare function deleteConnectionData(db: DynamoDB.DocumentClient, config: BoosterConfig, connectionID: string): Promise<void>;
export declare function sendMessageToConnection(config: BoosterConfig, connectionID: string, data: unknown): Promise<void>;
