import { BoosterConfig, EventSearchParameters, EventSearchResponse, PaginatedEntitiesIdsResult } from '@boostercloud/framework-types';
import { DynamoDB } from 'aws-sdk';
export declare function searchEvents(dynamoDB: DynamoDB.DocumentClient, config: BoosterConfig, parameters: EventSearchParameters): Promise<Array<EventSearchResponse>>;
export declare function searchEntitiesIds(dynamoDB: DynamoDB.DocumentClient, config: BoosterConfig, limit: number, afterCursor: Record<string, string> | undefined, entityTypeName: string): Promise<PaginatedEntitiesIdsResult>;
