"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.sortKeyForSubscription = exports.partitionKeyForIndexByEntity = exports.partitionKeyForEntitySnapshot = exports.partitionKeyForEvent = void 0;
function partitionKeyForEvent(entityTypeName, entityID) {
    return `${entityTypeName}-${entityID}-event`;
}
exports.partitionKeyForEvent = partitionKeyForEvent;
function partitionKeyForEntitySnapshot(entityTypeName, entityID) {
    return `${entityTypeName}-${entityID}-snapshot`;
}
exports.partitionKeyForEntitySnapshot = partitionKeyForEntitySnapshot;
function partitionKeyForIndexByEntity(entityTypeName, kind) {
    return `${entityTypeName}-${kind}`;
}
exports.partitionKeyForIndexByEntity = partitionKeyForIndexByEntity;
function sortKeyForSubscription(connectionID, subscriptionID) {
    return `${connectionID}-${subscriptionID}`;
}
exports.sortKeyForSubscription = sortKeyForSubscription;
